aim4.msg.i2v

## Enum Reject.Reason

- java.lang.Object
- - java.lang.Enum<Reject.Reason>
  - - aim4.msg.i2v.Reject.Reason

- All Implemented Interfaces:
    Serializable, Comparable<Reject.Reason>
  Enclosing class:
    Reject

      public static enum Reject.Reason
      extends Enum<Reject.Reason>

  Some of the possible reasons that a vehicle may have a reservation rejected.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ARRIVAL_TIME_TOO_LARGE` The arrival time requested in the reservation parameters is too far in the future.
    `ARRIVAL_TIME_TOO_LATE` The arrival time requested in the reservation parameters is before the current time.
    `BEFORE_NEXT_ALLOWED_COMM` This vehicle is still "timed out" from its last transmission and must wait to transmit again (i.e., the vehicle cannot send the request before the next allowed communication time in the previous reject messages.)
    `CONFIRMED_ANOTHER_REQUEST` The intersection manager has confirmed another request and cannot guest a new request.
    `NO_CLEAR_PATH` The intersection could not find a clear path through the intersection using the parameters supplied.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Reject.Reason` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Reject.Reason[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO_CLEAR_PATH

          public static final Reject.Reason NO_CLEAR_PATH

      The intersection could not find a clear path through the intersection using the parameters supplied.

    - #### CONFIRMED_ANOTHER_REQUEST

          public static final Reject.Reason CONFIRMED_ANOTHER_REQUEST

      The intersection manager has confirmed another request and cannot guest a new request.

    - #### ARRIVAL_TIME_TOO_LARGE

          public static final Reject.Reason ARRIVAL_TIME_TOO_LARGE

      The arrival time requested in the reservation parameters is too far in the future.

    - #### ARRIVAL_TIME_TOO_LATE

          public static final Reject.Reason ARRIVAL_TIME_TOO_LATE

      The arrival time requested in the reservation parameters is before the current time.

    - #### BEFORE_NEXT_ALLOWED_COMM

          public static final Reject.Reason BEFORE_NEXT_ALLOWED_COMM

      This vehicle is still "timed out" from its last transmission and must wait to transmit again (i.e., the vehicle cannot send the request before the next allowed communication time in the previous reject messages.)

  - ### Method Detail

    - #### values

          public static Reject.Reason[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Reject.Reason c : Reject.Reason.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Reject.Reason valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013. All rights reserved.